% Funzione che approssima il dato alla quarta cifra decimale (decimo di
% millesimo di grado)
function [AlfaX_HR,AlfaY_HR,TempDef_RSNHR] = approx_RSNHR(AlfaX_HR,AlfaY_HR,...
    TempDef_RSNHR,FileName)
        
fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'approx_RSNHR function started';
fprintf(fileID,fmt,text);

conv = AlfaX_HR*10000;
conv = round(conv);
AlfaX_HR = conv/10000;

conv = AlfaY_HR*10000;
conv = round(conv);
AlfaY_HR = conv/10000;

conv = TempDef_RSNHR*10;
conv = round(conv);
TempDef_RSNHR = conv/10;

text = 'approx_RSNHR function executed correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end